/**
 * 
 */
package sluceii.land.development;

/**
 * This class is a collection of parameters that a particular developed used for a specific subdivision type.
 * The developer uses these parameters to evaluate a subdivision in terms of profitability.
 * @author sunsp
 *
 */
public class DeveloperSpecialtyParam
{
	public double developCost;
	public double buildCost;
	public double perceivedRisk;
	public double averageSalePrice;
	
	public DeveloperSpecialtyParam()
	{
		developCost = 0.0;
		buildCost = 0.0;
		perceivedRisk = 1.0;
		averageSalePrice = 0.0;
	}
}
