
# Set the working directory
#setwd("C:\\WorkSpace\\Parcel\\Modeling\\R\\Clustering\\Realtor_L2")
setwd("C:\\Users\\sunsp\\workspace\\SLUCEII20100204\\app\\aag\\data")
#setwd("G:\\Realtor_L2")
#setwd("E:\\SUN_BACKUP\\Projects\\GIScientists_Network\\R")
#setwd("D:\\Courses\\Working_Papers\\SNA-GIS\\R")
#setwd("D:\\Courses\\Parcel\\Modeling\\Clustering\\Realtor_L2")

print(getwd())

matrixSize <- 1024

numSeller <- 256*256
numBuyer <- 256*256

wta <- 100

# PIN,EMV_TOTAL,X,Y,Asset,AgentType
# parcelID, wta, X, Y, budget, AgentType
sellerMatrix <- matrix(nrow=matrixSize*matrixSize,ncol=6,0)

sellerMatrix[,1] <- seq(1,matrixSize*matrixSize, 1)
sellerMatrix[, 2] <- rep(wta, matrixSize*matrixSize)
sellerMatrix[, 4] <- floor((sellerMatrix[,1]-1)/matrixSize) + 0.5
sellerMatrix[, 3] <- sellerMatrix[,1]-(sellerMatrix[,4] - 0.5)*matrixSize - 0.5
sellerMatrix[,5] <- rep(0, matrixSize*matrixSize)
sellerMatrix[,6] <- rep(0, matrixSize*matrixSize)

buyerMatrix <- matrix(nrow=numBuyer,ncol=6,0)

buyerMatrix[,1] <- rep(0,numBuyer)
buyerMatrix[, 2] <- rep(wta,numBuyer)
buyerMatrix[, 4] <- rep(512,numBuyer)
buyerMatrix[, 3] <- rep(512,numBuyer)
buyerMatrix[,5] <- rnorm(numBuyer, 3*wta, 0.8*wta)
buyerMatrix[,6] <- rep(1, numBuyer)

agentMatrix <- rbind(sellerMatrix, buyerMatrix)

colnames(agentMatrix) <- c("PIN","EMV_TOTAL","X","Y","Asset","AgentType")

# formatC(pnorm(-6.1),format="f",digits=15) 
# No scientific format is allowed.
bakScipenOption <- getOption("scipen")
options("scipen"=4)
write.table(agentMatrix,"agents.csv", quote=FALSE, sep=",",row.names=FALSE)
options("scipen"=bakScipenOption)