/**
 * SLUCE 2 Project
 * http://www.cscs.umich.edu/research/projects/sluce/
 */
package sluceii.app.mn.carver;

import repast.simphony.context.DefaultContext;
import repast.simphony.context.space.grid.GridFactoryFinder;
import repast.simphony.space.grid.GridBuilderParameters;
import repast.simphony.space.grid.SimpleGridAdder;
import sluceii.agent.SimpleAgent;
import sluceii.params.Constants;


/**
 * @author Shipeng Sun
 *
 */
public class CarverLandContext extends DefaultContext<SimpleAgent>
{
	public CarverLandContext()
	{
		super("SLUCEII20100204Context");
		
		GridFactoryFinder.createGridFactory(null).createGrid(
				Constants.AGENT2D,
				this,
				new GridBuilderParameters<SimpleAgent>(
						new repast.simphony.space.grid.WrapAroundBorders(),
						new SimpleGridAdder<SimpleAgent>(), true, 1300,
						1300));

	}
}
