@ECHO OFF
TITLE SLUCEII20100204

REM Repast Simphony Model Starter
REM By Michael J. North
REM 
REM Please note that the paths given below use
REM a unusual Linux-like notation. This is a
REM unfortunate requirement of the Java Plugin
REM framework application loader.

REM Note the Repast Simphony Directories.
set REPAST_SIMPHONY_ROOT=../repast.simphony/repast.simphony.runtime_$REPAST_VERSION/
set REPAST_SIMPHONY_BATCH=../repast.simphony/repast.simphony.batch_$REPAST_VERSION/
set REPAST_SIMPHONY_CORE=../repast.simphony/repast.simphony.core_$REPAST_VERSION/
set REPAST_SIMPHONY_SCORE=../repast.simphony/repast.simphony.score.runtime_$REPAST_VERSION/

set REPAST_SIMPHONY_LIB=%REPAST_SIMPHONY_ROOT%lib/
set REPAST_SIMPHONY_BATCH_LIB=%REPAST_SIMPHONY_BATCH%lib/
set REPAST_SIMPHONY_CORE_LIB=%REPAST_SIMPHONY_CORE%lib/
set REPAST_SIMPHONY_SCORE_LIB=%REPAST_SIMPHONY_SCORE%lib/

SET CP=%CP%;%REPAST_SIMPHONY_ROOT%bin
SET CP=%CP%;%REPAST_SIMPHONY_ROOT%bin-groovy
SET CP=%CP%;%REPAST_SIMPHONY_BATCH%bin
SET CP=%CP%;%REPAST_SIMPHONY_BATCH%bin-groovy

REM Define the Core Repast Simphony Directories and JARs
SET CP=%CP%;%REPAST_SIMPHONY_LIB%*
SET CP=%CP%;%REPAST_SIMPHONY_BATCH_LIB%*
SET CP=%CP%;%REPAST_SIMPHONY_CORE_LIB%*
SET CP=%CP%;%REPAST_SIMPHONY_SCORE_LIB%*
SET CP=%CP%;./lib/helia_gis.jar;./lib/repast.simphony.bin_and_src.jar;./bin

REM Change to the Default Repast Simphony Directory
CD SLUCEII20100204

REM Start the Model in GUI mode
REM START javaw -Xss32M -Xmx1024M -cp %CP% repast.simphony.runtime.RepastMain sluce.aag/aag.rs

REM ++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM Change the parameter file as needed
REM Check the configuration file path as needed
REM ++++++++++++++++++++++++++++++++++++++++++++++++++++++
START java -Xss32M -Xmx1024M -cp %CP% repast.simphony.batch.BatchMain -params batch/aag_batch_params_lm_levels.xml -interactive sluce.aag/aag.rs 
