@ECHO OFF
TITLE SLUCEII_AAG

REM Repast Simphony Model Starter
REM By Michael J. North
REM 
REM Please note that the paths given below use
REM a unusual Linux-like notation. This is a
REM unfortunate requirement of the Java Plugin
REM framework application loader.

REM Note the Repast Simphony Directories.
set REPAST_SIMPHONY_ROOT=../repast.simphony/repast.simphony.runtime_1.2.0/
set REPAST_SIMPHONY_BATCH=../repast.simphony/repast.simphony.batch_1.2.0/
set REPAST_SIMPHONY_CORE=../repast.simphony/repast.simphony.core_1.2.0/

set REPAST_SIMPHONY_LIB=%REPAST_SIMPHONY_ROOT%lib/
set REPAST_SIMPHONY_BATCH_LIB=%REPAST_SIMPHONY_BATCH%lib/
set REPAST_SIMPHONY_CORE_LIB=%REPAST_SIMPHONY_CORE%lib/

REM Define the Core Repast Simphony Directories and JARs
SET CP=%CP%;%REPAST_SIMPHONY_ROOT%bin
SET CP=%CP%;%REPAST_SIMPHONY_ROOT%bin-groovy
SET CP=%CP%;%REPAST_SIMPHONY_BATCH%bin
SET CP=%CP%;%REPAST_SIMPHONY_BATCH%bin-groovy

REM SET CP=%CP%;%REPAST_SIMPHONY_LIB%saf.core.runtime.jar
REM SET CP=%CP%;%REPAST_SIMPHONY_LIB%commons-logging-1.0.4.jar
REM SET CP=%CP%;%REPAST_SIMPHONY_LIB%groovy-all-1.5.7.jar
REM SET CP=%CP%;%REPAST_SIMPHONY_LIB%javassist-3.7.0.GA.jar
REM SET CP=%CP%;%REPAST_SIMPHONY_LIB%jpf.jar
REM SET CP=%CP%;%REPAST_SIMPHONY_LIB%jpf-boot.jar
REM SET CP=%CP%;%REPAST_SIMPHONY_LIB%log4j-1.2.13.jar
REM SET CP=%CP%;%REPAST_SIMPHONY_LIB%xpp3_min-1.1.4c.jar
REM SET CP=%CP%;%REPAST_SIMPHONY_LIB%xstream-1.3.jar
SET CP=%CP%;%REPAST_SIMPHONY_LIB%*
SET CP=%CP%;../repast.simphony/repast.simphony.score.runtime_1.2.0/lib/*

@ECHO ON
SET CP=%CP%;%REPAST_SIMPHONY_BATCH_LIB%batch_groovy.jar
REM SET CP=%CP%;%REPAST_SIMPHONY_CORE_LIB%commons-cli-1.0.jar
REM SET CP=%CP%;%REPAST_SIMPHONY_CORE_LIB%commons-collections-3.2.jar
SET CP=%CP%;%REPAST_SIMPHONY_CORE_LIB%*
SET CP=%CP%;./lib/helia_gis.jar;./lib/repast.simphony.bin_and_src.jar;./bin
REM Change to the Default Repast Simphony Directory
@ECHO OFF

CD SLUCEII_AAG

REM Start the Model
REM START javaw -Xss10M -Xmx400M -cp %CP% repast.simphony.runtime.RepastMain sluce.aag/aag.rs
java -Xss32M -Xmx1024M -cp %CP% repast.simphony.batch.BatchMain -params batch/aag_batch_params_lm_levels.xml -interactive sluce.aag/aag.rs 
