package sluceii.params;

/**
 * A Log helper interface to facilitate log writing. 
 * 
 * Modified by Raymond Cabrera.
 * 
 * @author arcabrer
 * @version 1.0
 */
public interface LogHelper
{
	public enum LoggerType {txtLogger, mySQLLogger};
	public LoggerType getLoggerType();
	
	public void logRun();

	public void logLandscapeData(int debugLvl, double tickCount,
			String fileName, String priceFile, String fileNameB,
			String priceFileB);

	public void logTransaction(int debugLvl, double tickCount, int agentID,
			double bidPrice, double preferenceForProximity, double dist,
			double osa, double tcost, double tbudg, double util);
}
